Issue 100008

Summary: Text Direction from Top to Bottom Button does not appear in the tool bar when selected
Product: Draw Reporter: andersonsidney <sid>
Component: uiAssignee: AOO issues mailing list <issues>
Status: UNCONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues, rainerbielefeld_ooo_qa
Version: OOo 3.0.1Keywords: needmoreinfo, oooqa
Target Milestone: ---   
Hardware: Other   
OS: Windows Vista   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---

Description andersonsidney 2009-03-07 18:00:50 UTC
On Windows Vista 32bit, with 4 GB RAM and a quad core AMD Processor, Open Office
Drawing Version 3.0.1 has a problem displaying the 'Text Direction from Top to
Bottom Button' button on the tool bar.  

To reproduce:

From the tool bar, 

1) select the down arrow next to the 'Font Color' button
2) Hover over the 'Visible Buttons' menu item
3) Cursor over to the 'Text Direction from Top to Bottom Button' select the menu
item by clicking it

Notice the Menu Bar flash as if it's going to add the item and then do nothing.
Comment 1 Rainer Bielefeld 2009-03-08 09:12:46 UTC
I checked with "Ooo 3.0.1 (DE) Multilingual version GERMAN UI WIN XP: [OOO300m15
(Build 9379)]" and can NOT confirm the reported effect. WIN Vista effect or
INVALID / WFM?

@andersonsidney:
Your 'Tools -> Options -> Language Settings - Enhanced language Support -
Enabled for Asian Languages' is checked? With unchecked option those buttons
will not work.
You only see that with DRAW, not also WRITER?
Comment 2 andersonsidney 2009-03-08 17:36:20 UTC
I checked Writer and it also experience the same issue.  I had to add the tool
bar (View->Toolbars->Text Object) and then down arrow for the 'Text Direction
from Top to Bottom Button' to reproduce the problem.

When checking off the 'Tools -> Options -> Language Settings - Enhanced language
Support - Enabled for Asian Languages.'  The button does appear in the tool bar
but does not change the text direction, it's perpetually grayed out.

Perhaps this is an assumption that the button behaves in the manner of flipping
text in the desired orientation, when it's actual function is used with specific
languages.  As such, it would be a feature request, but the UI detail should be
removed from languages that do not support this requirement and new development
for a general UI capability and product feature that has this similar
functionality across the Ooo Suite.

Depending on the actual use case of this feature, it can be either closed as not
a bug or (at least) move to a feature request state for future functionality.
Comment 3 wolframgarten 2009-03-09 09:34:52 UTC
Reassigned.
Comment 4 Rob Weir 2013-02-02 02:58:10 UTC
This Issue requires more information ('needmoreinfo'), but has not been updated
within the last year. Please provide feedback as requested and re-test with the the latest version of OpenOffice - the problem(s) may already be addressed. 

You can download Apache OpenOffice 3.4.1 from http://www.openoffice.org/download

Please report back the outcome of your testing, so this Issue may be closed or
progressed as necessary - otherwise the issue may be Resolved as Invalid in the
future.